aboutsummaryrefslogtreecommitdiff
path: root/games/emulation/dosbox/dosbox.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/emulation/dosbox/dosbox.SlackBuild')
-rwxr-xr-xgames/emulation/dosbox/dosbox.SlackBuild6
1 files changed, 4 insertions, 2 deletions
diff --git a/games/emulation/dosbox/dosbox.SlackBuild b/games/emulation/dosbox/dosbox.SlackBuild
index 6f7add2a..0c7db5c4 100755
--- a/games/emulation/dosbox/dosbox.SlackBuild
+++ b/games/emulation/dosbox/dosbox.SlackBuild
@@ -39,7 +39,7 @@ TMP=${TMP:=/tmp}
PKG=${PKG:=$TMP/package-$PKG_NAME}
REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
-PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
+PKG_WORK="$TMP/$SRC_NAME"
CONF_OPTIONS=${CONF_OPTIONS:=""}
NUMJOBS=${NUMJOBS:="-j7"}
@@ -73,6 +73,7 @@ rm -rf "$PKG" 2> /dev/null
mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
mkdir -p "$PKG" || exit $ERROR_MKDIR
mkdir -p "$REPOS" || exit $ERROR_MKDIR
+mkdir -p "$PKG_WORK" || exit $ERROR_MKDIR
# Dowload source if necessary
SRC="$SRC_NAME-$VERSION.tar.gz"
@@ -84,8 +85,9 @@ fi
# Untar
-cd "$TMP"
+cd "$PKG_WORK"
tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+PKG_SRC=`ls -l | awk '/^d/ { print $8 }'`
cd "$PKG_SRC"
# Configure